Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.web.portlet.bind
Class PortletRequestBindingException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              javax.portlet.PortletException
                  org.springframework.web.portlet.bind.PortletRequestBindingException

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  MissingPortletRequestParameterException

    public class PortletRequestBindingException

extends javax.portlet.PortletException

Fatal binding exception, thrown when we want to treat binding exceptions as unrecoverable.

Since:
  2.0
Author:
  Juergen Hoeller, John A. Lewis
See Also:
  Serialized Form

Constructor Summary
`PortletRequestBindingException(java.lang.String msg)` Constructor for PortletRequestBindingException.
`PortletRequestBindingException(java.lang.String msg, java.lang.Throwable cause)` Constructor for PortletRequestBindingException.

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PortletRequestBindingException

    public PortletRequestBindingException(java.lang.String msg)

  Constructor for PortletRequestBindingException.

  Parameters:
    `msg` - the detail message

### PortletRequestBindingException

    public PortletRequestBindingException(java.lang.String msg,
                                          java.lang.Throwable cause)

  Constructor for PortletRequestBindingException.

  Parameters:
    `msg` - the detail message
    `cause` - the root cause

Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD